Loading...

algoscore-users@gna.org

[Prev] Thread [Next]  |  [Prev] Date [Next]

Re: [AlgoScore] Compiling AlgoScore Jonatan Liljedahl Mon Aug 31 16:00:34 2009

Hi Dmitriy,

I haven't tried AlgoScore with CSound 5.10 yet, only with 5.09. You
could try downgrading to 5.09 and see if that helps. Also ensure that
you have the devel package for csound installed, in case there is a
separate one.

Dmitriy wrote:
> Hi All!
> 
> I've recently tried to compile algoscore, but failed.
> 
> I'm on Debian and have CSound 5.10.1~dfsg1-4 installed from official repo.
> 
> So when i try to compile AlgoScore (by doing ./make_build in /src as 
> mentioned 
> in manual), i receive this output:
> 
> :~/src/AlgoScore/src$ ./make_build
> -- The C compiler identification is GNU          
> -- The CXX compiler identification is GNU        
> -- Check for working C compiler: /usr/bin/gcc    
> -- Check for working C compiler: /usr/bin/gcc -- works
> -- Detecting C compiler ABI info                      
> -- Detecting C compiler ABI info - done               
> -- Check for working CXX compiler: /usr/bin/c++       
> -- Check for working CXX compiler: /usr/bin/c++ -- works
> -- Detecting CXX compiler ABI info                      
> -- Detecting CXX compiler ABI info - done               
> -- checking for PCRE                                    
> --   not found.                                         
> -- Looking for include files CMAKE_HAVE_PTHREAD_H       
> -- Looking for include files CMAKE_HAVE_PTHREAD_H - found
> -- Looking for pthread_create in pthreads                
> -- Looking for pthread_create in pthreads - not found    
> -- Looking for pthread_create in pthread                 
> -- Looking for pthread_create in pthread - found         
> -- Found Threads: TRUE                                   
> -- checking for Csound                                   
> --   not found. CSOUND SUPPORT DISABLED!                 
> -- checking for modules 'gtk+-2.0>=2.8;gthread-2.0>=2.10'
> --   found gtk+-2.0, version 2.16.5                      
> --   found gthread-2.0, version 2.20.4                   
> -- checking for module 'sndfile>=1.0'                    
> --   package 'sndfile>=1.0' not found                    
> -- checking for module 'jack>=0.100'                     
> --   package 'jack>=0.100' not found                     
> CMake Error at /usr/share/cmake-2.6/Modules/FindPkgConfig.cmake:270 (message):
>   A required package was not found                                            
> Call Stack (most recent call first):                                          
>   /usr/share/cmake-2.6/Modules/FindPkgConfig.cmake:322 
> (_pkg_check_modules_internal)
>   CMakeLists.txt:87 (pkg_check_modules)                                       
>       
> 
> 
> -- checking jack midi API: not supported
> -- checking for module 'liblo>=0.24'
> --   package 'liblo>=0.24' not found
> -- OSC support disabled!
> CMake Error: The following variables are used in this project, but they are 
> set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the CMake 
> files:
> CSOUND_INCLUDE_DIR
>    used as include directory in directory /home/dnoskov/src/AlgoScore/src
>    used as include directory in directory 
> /home/dnoskov/src/AlgoScore/src/nasal
> 
> -- Configuring incomplete, errors occurred!
> 
> Somewhy i think that it is pretty easy to solve, but i couldn't figure out 
> how.
> I tried to search on this list archives and found some tips about modifying 
> CMakeLists.txt, but i'm a complete zero in CMakeLists.txt, so it couldn't 
> help.
> 
> Could you please direct me in some way. 
> 
> PS. I tried to look for csound.h, but found only csound.hpp in csound 
> includes.
> 
> _______________________________________________
> Algoscore-users mailing list
> [EMAIL PROTECTED]
> https://mail.gna.org/listinfo/algoscore-users


-- 
/Jonatan         [ http://kymatica.com ]

_______________________________________________
Algoscore-users mailing list
[EMAIL PROTECTED]
https://mail.gna.org/listinfo/algoscore-users